Chart-1.9.1: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.Lines

Description

Line plots

Synopsis

- data PlotLines x y = PlotLines {
  - _plot_lines_title :: String
  - _plot_lines_style :: LineStyle
  - _plot_lines_values :: [[(x, y)]]
  - _plot_lines_limit_values :: [[(Limit x, Limit y)]]
  }
- defaultPlotLineStyle :: LineStyle
- hlinePlot :: String -> LineStyle -> b -> Plot a b
- vlinePlot :: String -> LineStyle -> a -> Plot a b
- plot_lines_title :: forall x y. Lens' (PlotLines x y) String
- plot_lines_style :: forall x y. Lens' (PlotLines x y) LineStyle
- plot_lines_values :: forall x y. Lens' (PlotLines x y) [[(x, y)]]
- plot_lines_limit_values :: forall x y. Lens' (PlotLines x y) [[(Limit x, Limit y)]]

# Documentation

data PlotLines x y Source #

Value defining a series of (possibly disjointed) lines, and a style in which to render them.

Constructors

PlotLines |

Fields

- _plot_lines_title :: String
- _plot_lines_style :: LineStyle
- _plot_lines_values :: [[(x, y)]]

  The lines to be plotted

- _plot_lines_limit_values :: [[(Limit x, Limit y)]]

  Additional lines to be plotted, specified using the Limit type to allow referencing the edges of the plot area.

Instances

ToPlot PlotLines Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Lines Methods toPlot :: PlotLines x y -> Plot x y Source #
Default (PlotLines x y) Source # |
Instance details Defined in Graphics.Rendering.Chart.Plot.Lines Methods def :: PlotLines x y Source #

defaultPlotLineStyle :: LineStyle Source #

hlinePlot :: String -> LineStyle -> b -> Plot a b Source #

Helper function to plot a single horizontal line.

vlinePlot :: String -> LineStyle -> a -> Plot a b Source #

Helper function to plot a single vertical line.

plot_lines_title :: forall x y. Lens' (PlotLines x y) String Source #

plot_lines_style :: forall x y. Lens' (PlotLines x y) LineStyle Source #

plot_lines_values :: forall x y. Lens' (PlotLines x y) [[(x, y)]] Source #

plot_lines_limit_values :: forall x y. Lens' (PlotLines x y) [[(Limit x, Limit y)]] Source #